import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart'; // Import screenutil
import 'pet_registration_screen.dart';

class HomeScreen extends StatelessWidget {
  const HomeScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: Colors.white,
      body: SafeArea(
        child: Column(
          children: [
            Padding(
              padding: EdgeInsets.symmetric(horizontal: 20.w, vertical: 20.h),
              child: Material(
                color: Colors.transparent,
                child: InkWell(
                  borderRadius: BorderRadius.circular(
                    8.r,
                  ), // Optional: Add radius
                  onTap: () {
                    Navigator.push(
                      context,
                      MaterialPageRoute(
                        builder: (context) => const PetRegistrationScreen(),
                      ),
                    );
                  },
                  child: Row(
                    mainAxisSize: MainAxisSize.min, // Wrap content only
                    children: [
                      Image.asset(
                        'assets/img/profile.png',
                        width: 40.w,
                        height: 40.h,
                      ),
                      SizedBox(width: 10.w),
                      Text(
                        '반려동물 등록 +',
                        style: TextStyle(
                          fontFamily: 'SCDream',
                          fontWeight: FontWeight.w500,
                          fontSize: 15.sp,
                          letterSpacing: 0.45.sp,
                          color: const Color(0xFF1f1f1f),
                        ),
                      ),
                    ],
                  ),
                ),
              ),
            ),
            Expanded(
              child: Center(
                child: Text(
                  '로그인 성공!\n여기는 메인 홈 화면입니다.',
                  textAlign: TextAlign.center,
                  style: TextStyle(
                    fontFamily: 'SCDream',
                    fontWeight: FontWeight.w500,
                    fontSize: 18.sp,
                  ),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
